Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-24248

NDK detection problem in QtCreator

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3: Somewhat important
    • Resolution: Done
    • Affects Version/s: Qt Creator 4.12.4, Qt Creator 4.13.0, Qt Creator 4.14.0
    • Fix Version/s: None
    • Component/s: Android Support
    • Environment:
      Windows 10, QtCreator 4.12.4
    • Platform/s:
      All
    • Commits:
      f1a5a1f7161d32d0840dad91f174ff5d8d3a5b0f (qt-creator/qt-creator/master)

      Description

      Have NDK 21.3.6528147 installed, but QtCreator reports that essential package missing and offers to install NDK 21.1.6352462.

      Without additional installation of older version of NDK Android kit broken, and QtCreator don't allows to use NDK 21.3 it auto-selects 21.1 after closing dialog.

      Seems like version 21.1 hardcoded somewhere for no reason

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              artem.sokolovskii Artem Sokolovskii
              Reporter:
              morte Maxim Bescherevnykh
              Votes:
              13 Vote for this issue
              Watchers:
              13 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes